package de.fhdw.gaming.ipspiel22.kopfundzahl.strategy;

import de.fhdw.gaming.ipspiel22.kopfundzahl.domain.KopfundZahlStrategy;
import de.fhdw.gaming.ipspiel22.kopfundzahl.domain.factory.KopfundZahlStrategyFactory;
import de.fhdw.gaming.ipspiel22.kopfundzahl.moves.factory.KopfundZahlMoveFactory;

/**
 * Implements {@link KopfundZahlStrategyFactory} by creating a {@link KopfundZahlKopfStrategy}.
 */
public final class KopfundZahlKopfStrategyFactory implements KopfundZahlStrategyFactory {

    @Override
    public KopfundZahlStrategy create(final KopfundZahlMoveFactory moveFactory) {
        return new KopfundZahlKopfStrategy(moveFactory);
    }

}
